AsyncChannelWrapperNonSecure (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.websocket

## Class AsyncChannelWrapperNonSecure

- java.lang.Object
- - org.apache.tomcat.websocket.AsyncChannelWrapperNonSecure

- All Implemented Interfaces:
    AsyncChannelWrapper

      public class AsyncChannelWrapperNonSecure
      extends Object
      implements AsyncChannelWrapper

  Generally, just passes calls straight to the wrapped `AsynchronousSocketChannel`. In some cases exceptions may be swallowed to save them being swallowed by the calling code.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncChannelWrapperNonSecure(AsynchronousSocketChannel socketChannel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `Future<Void>` | `handshake()`
    `Future<Integer>` | `read(ByteBuffer dst)`
    `<B,A extends B> void` | `read(ByteBuffer dst, A attachment, CompletionHandler<Integer,B> handler)`
    `Future<Integer>` | `write(ByteBuffer src)`
    `<B,A extends B> void` | `write(ByteBuffer[] srcs, int offset, int length, long timeout, TimeUnit unit, A attachment, CompletionHandler<Long,B> handler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncChannelWrapperNonSecure

          public AsyncChannelWrapperNonSecure(AsynchronousSocketChannel socketChannel)

  - ### Method Detail

    - #### read

          public Future<Integer> read(ByteBuffer dst)

      Specified by:
        `read` in interface `AsyncChannelWrapper`

    - #### read

          public <B,A extends B> void read(ByteBuffer dst,
                                           A attachment,
                                           CompletionHandler<Integer,B> handler)

      Specified by:
        `read` in interface `AsyncChannelWrapper`

    - #### write

          public Future<Integer> write(ByteBuffer src)

      Specified by:
        `write` in interface `AsyncChannelWrapper`

    - #### write

          public <B,A extends B> void write(ByteBuffer[] srcs,
                                            int offset,
                                            int length,
                                            long timeout,
                                            TimeUnit unit,
                                            A attachment,
                                            CompletionHandler<Long,B> handler)

      Specified by:
        `write` in interface `AsyncChannelWrapper`

    - #### close

          public void close()

      Specified by:
        `close` in interface `AsyncChannelWrapper`

    - #### handshake

          public Future<Void> handshake()

      Specified by:
        `handshake` in interface `AsyncChannelWrapper`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.